# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectBasicGeom Class Reference

This selection returns the basic geometric elements
contained in an IGES Entity
Intended to run a "quick" transfer. I.E. :
- for a Group, considers its Elements
- for a Trimmed or Bounded Surface or a Face (BREP),
considers the 3D curves of each of its loops
- for a Plane (108), considers its Bounding Curve
- for a Curve itself, takes it
Also, FREE surfaces are taken, because curve 3d is known for
them. (the ideal should be to have their natural bounds)
If <curvesonly> is set, ONLY curves-3d are returned
.

`#include <IGESSelect_SelectBasicGeom.hxx>`

Inheritance diagram for IGESSelect_SelectBasicGeom:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SelectBasicGeom (const Standard_Integer mode)
| Creates a SelectBasicGeom, which allways works recursively mode = -1 : Returns Surfaces (without trimming) mode = +1 : Returns Curves 3D (free or bound of surface) mode = +2 : Returns Basic Curves 3D : as 1 but CompositeCurves are returned in detail mode = 0 : both .
Standard_EXPORT Standard_Boolean | CurvesOnly () const
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity, to take its contained Curves 3d Works recursively .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Curves 3d" or "Basic Geometry" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | SubCurves (const Handle(IGESData_IGESEntity)&ent, Interface_EntityIterator &explored)
| This method can be called from everywhere to get the curves as sub-elements of a given curve : CompositeCurve : explored lists its subs + returns True Any Curve : explored is not filled but returned is True Other : returned is False .

## Private Attributes

Standard_Integer | thegeom

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectBasicGeom::IGESSelect_SelectBasicGeom | ( | const Standard_Integer | mode | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean IGESSelect_SelectBasicGeom::CurvesOnly | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSelect_SelectBasicGeom::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectBasicGeom::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const IGESSelect_SelectBasicGeom::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

static Standard_EXPORT Standard_Boolean IGESSelect_SelectBasicGeom::SubCurves | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | Interface_EntityIterator & | explored
| ) | `[static]`

## Field Documentation

Standard_Integer IGESSelect_SelectBasicGeom::thegeom `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SelectBasicGeom.hxx